<?php
#########################################################################################
####### Bux security system by Kasoi icq: 680911 http://shopforbux.ru/user/kasoi/ #######
#########################################################################################

include("security_class.php");
$post_text = "";
$get_text  = "";
$cook_text = "";


foreach($_POST as $i => $value){$post_text.=stripslashes($_POST[$i])." ";}
foreach($_GET as $i => $value){$get_text.=stripslashes($_GET[$i])." ";}
foreach($_COOKIE as $i => $value){$cook_text.=stripslashes($_COOKIE[$i])." ";}



$security = new Kasoi_security;
    $num_post = $security->security($post_text);
    $num_get  = $security->security($get_text);
    $num_cook = $security->security($cook_text);
    $result   = ($num_post+$num_get+$num_cook);
$security->clear();

if ($result != 0)
{
    echo "<center><div class='error' style='with:550px;'>Ошибка, сработала защита. Удалите кавычки из текста и попробуйте ещё раз пожалуйста<br /><center><a href='#' onclick='history.back();return false;' style='color:red;'>Вернуться назад</a></div></center>";
    die();
}

?>
